## gr-radar 0.0.0.20220920

=== CMakeLists.txt ===
# Copyright 2011-2022 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-radar VERSION 3.10.0.0
  DESCRIPTION "A generic environment in GNU Radio to experiment with various radar types."
  HOMEPAGE_URL "https://grradar.wordpress.com"
  LANGUAGES CXX C)
enable_testing()

# Install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)
# Find gnuradio to get access to the cmake modules
find_package(Gnuradio REQUIRED)

# Set the version information here
set(VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(VERSION_API   ${PROJECT_VERSION_MINOR})
set(VERSION_ABI   ${PROJECT_VERSION_PATCH})
set(VERSION_PATCH ${PROJECT_VERSION_TWEAK})

cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

########################################################################
# Minimum Version Requirements
########################################################################

include(GrMinReq)

########################################################################
# Compiler settings
########################################################################

include(GrCompilerSettings)

########################################################################
# Install directories
########################################################################
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

find_package(Qt5Widgets REQUIRED )
set(QT_FOUND ${Qt5Widgets_FOUND})
set(QT_LIBRARIES ${Qt5Widgets_LIBRARIES})
set(QT_INCLUDE_DIRS ${Qt5Widgets_INCLUDE_DIRS})

GR_PYTHON_CHECK_MODULE("PyQt5" PyQt5 True PYQT5_FOUND)

find_package(Qwt)

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/gnuradio/radar)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/gnuradio)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Doxygen)
find_package(UHD)
find_package(FFTW3f)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    )

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/radar)
add_subdirectory(lib)
add_subdirectory(apps)
add_subdirectory(docs)
# NOTE: manually update below to use GRC to generate C++ flowgraphs w/o python
if(ENABLE_PYTHON)
  message(STATUS "PYTHON and GRC components are enabled")
  add_subdirectory(python/radar)
  add_subdirectory(grc)
else(ENABLE_PYTHON)
  message(STATUS "PYTHON and GRC components are disabled")
endif(ENABLE_PYTHON)

########################################################################
# Install cmake search helper for this library
########################################################################

install(FILES cmake/Modules/gnuradio-radarConfig.cmake
    DESTINATION ${GR_CMAKE_DIR}
)

include(CMakePackageConfigHelpers)
configure_package_config_file(
    ${PROJECT_SOURCE_DIR}/cmake/Modules/targetConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/Modules/${target}Config.cmake
    INSTALL_DESTINATION ${GR_CMAKE_DIR}
)

=== apps/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    DESTINATION bin
)

=== docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    radar_signal_generator_cw_c.block.yml
    radar_signal_generator_fmcw_c.block.yml
    radar_split_cc.block.yml
    radar_os_cfar_c.block.yml
    radar_ts_fft_cc.block.yml
    radar_estimator_cw.block.yml
    radar_print_results.block.yml
    radar_static_target_simulator_cc.block.yml
    radar_signal_generator_fsk_c.block.yml
    radar_split_fsk_cc.block.yml
    radar_estimator_fsk.block.yml
    radar_usrp_echotimer_cc.block.yml
    radar_estimator_fmcw.block.yml
    radar_signal_generator_sync_pulse_c.block.yml
    radar_estimator_sync_pulse_c.block.yml
    radar_find_max_peak_c.block.yml
    radar_qtgui_scatter_plot.block.yml
    radar_qtgui_time_plot.block.yml
    radar_tracking_singletarget.block.yml
    radar_msg_gate.block.yml
    radar_msg_manipulator.block.yml
    radar_ofdm_cyclic_prefix_remover_cvc.block.yml
    radar_transpose_matrix_vcvc.block.yml
    radar_qtgui_spectrogram_plot.block.yml
    radar_crop_matrix_vcvc.block.yml
    radar_ofdm_divide_vcvc.block.yml
    radar_os_cfar_2d_vc.block.yml
    radar_estimator_ofdm.block.yml
    radar_estimator_rcs.block.yml
    radar_trigger_command.block.yml
    DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012,2016,2018,2019 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# QT GUI file generation stuff (Q_OBJECT)
########################################################################
set(QTGUI_MOC_HEADERS
	scatter_plot.h
	time_plot.h
	spectrogram_plot.h)
QT5_WRAP_CPP(QTGUI_MOC_OUTFILES ${QTGUI_MOC_HEADERS})

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

list(APPEND radar_sources
	${QTGUI_MOC_OUTFILES}
	scatter_plot.cc
	time_plot.cc
	spectrogram_plot.cc
    signal_generator_cw_c_impl.cc
    signal_generator_fmcw_c_impl.cc
    split_cc_impl.cc
    os_cfar_c_impl.cc
    ts_fft_cc_impl.cc
    estimator_cw_impl.cc
    print_results_impl.cc
    static_target_simulator_cc_impl.cc
    signal_generator_fsk_c_impl.cc
    split_fsk_cc_impl.cc
    estimator_fsk_impl.cc
    usrp_echotimer_cc_impl.cc
    estimator_fmcw_impl.cc
    signal_generator_sync_pulse_c_impl.cc
    estimator_sync_pulse_c_impl.cc
    find_max_peak_c_impl.cc
    qtgui_scatter_plot_impl.cc
    qtgui_time_plot_impl.cc
    tracking_singletarget_impl.cc
    msg_gate_impl.cc
    msg_manipulator_impl.cc
    ofdm_cyclic_prefix_remover_cvc_impl.cc
    transpose_matrix_vcvc_impl.cc
    qtgui_spectrogram_plot_impl.cc
    crop_matrix_vcvc_impl.cc
    ofdm_divide_vcvc_impl.cc
    os_cfar_2d_vc_impl.cc
    estimator_ofdm_impl.cc
    estimator_rcs_impl.cc
    trigger_command_impl.cc
    )

set(radar_sources "${radar_sources}" PARENT_SCOPE)
if(NOT radar_sources)
    MESSAGE(STATUS "No C++ sources... skipping lib/")
    return()
endif(NOT radar_sources)

add_library(gnuradio-radar SHARED ${radar_sources})
target_link_libraries(gnuradio-radar PUBLIC
  gnuradio::gnuradio-runtime ${QT_LIBRARIES} fftw3f::fftw3f UHD::UHD qwt::qwt
)
target_include_directories(gnuradio-radar
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
    PUBLIC $<INSTALL_INTERFACE:include>
  )
set_target_properties(gnuradio-radar PROPERTIES DEFINE_SYMBOL "gnuradio_radar_EXPORTS")

if(APPLE)
    set_target_properties(gnuradio-radar PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
GR_LIBRARY_FOO(gnuradio-radar)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

# If your unit tests require special include paths, add them here
#include_directories()
# List all files that contain Boost.UTF unit tests here
list(APPEND test_radar_sources
)
# Anything we need to link to for the unit tests go here
list(APPEND GR_TEST_TARGET_DEPS gnuradio-radar)

if(NOT test_radar_sources)
    MESSAGE(STATUS "No C++ unit tests... skipping")
    return()
endif(NOT test_radar_sources)

foreach(qa_file ${test_radar_sources})
    GR_ADD_CPP_TEST("radar_${qa_file}"
        ${CMAKE_CURRENT_SOURCE_DIR}/${qa_file}
    )
endforeach(qa_file)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT radar_sources)
    MESSAGE(STATUS "No C++ sources... skipping swig/")
    return()
endif(NOT radar_sources)

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
set(GR_SWIG_INCLUDE_DIRS $<TARGET_PROPERTY:gnuradio::runtime_swig,INTERFACE_INCLUDE_DIRECTORIES>)
set(GR_SWIG_TARGET_DEPS gnuradio::runtime_swig)

set(GR_SWIG_LIBRARIES gnuradio-radar)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/radar_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(radar_swig radar_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS radar_swig DESTINATION ${GR_PYTHON_DIR}/radar)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    radar_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/radar_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/radar/swig
)

=== docs/doxygen/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Create the doxygen configuration file
########################################################################
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} top_builddir)
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} abs_top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} abs_top_builddir)

set(HAVE_DOT ${DOXYGEN_DOT_FOUND})
set(enable_html_docs YES)
set(enable_latex_docs NO)
set(enable_xml_docs YES)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
@ONLY)

set(BUILT_DIRS ${CMAKE_CURRENT_BINARY_DIR}/xml ${CMAKE_CURRENT_BINARY_DIR}/html)

########################################################################
# Make and install doxygen docs
########################################################################
add_custom_command(
    OUTPUT ${BUILT_DIRS}
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating documentation with doxygen"
)

add_custom_target(doxygen_target ALL DEPENDS ${BUILT_DIRS})

install(DIRECTORY ${BUILT_DIRS} DESTINATION ${GR_PKG_DOC_DIR})

=== include/radar/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    signal_generator_cw_c.h
    signal_generator_fmcw_c.h
    split_cc.h
    os_cfar_c.h
    ts_fft_cc.h
    estimator_cw.h
    print_results.h
    static_target_simulator_cc.h
    signal_generator_fsk_c.h
    split_fsk_cc.h
    estimator_fsk.h
    usrp_echotimer_cc.h
    estimator_fmcw.h
    signal_generator_sync_pulse_c.h
    estimator_sync_pulse_c.h
    find_max_peak_c.h
    qtgui_scatter_plot.h
    qtgui_time_plot.h
    tracking_singletarget.h
    msg_gate.h
    msg_manipulator.h
    ofdm_cyclic_prefix_remover_cvc.h
    transpose_matrix_vcvc.h
    qtgui_spectrogram_plot.h
    crop_matrix_vcvc.h
    ofdm_divide_vcvc.h
    os_cfar_2d_vc.h
    estimator_ofdm.h
    estimator_rcs.h
    trigger_command.h
    DESTINATION include/gnuradio/radar
)

=== python/radar/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

add_subdirectory(bindings)

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/radar
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-radar)
# set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR})

# Create a package directory that tests can import. It includes everything
# from `python/`.
add_custom_target(
  copy_module_for_tests ALL
  COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}
          ${CMAKE_BINARY_DIR}/test_modules/gnuradio/radar/
)


GR_ADD_TEST(qa_signal_generator_cw_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_cw_c.py)
GR_ADD_TEST(qa_signal_generator_fmcw_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_fmcw_c.py)
GR_ADD_TEST(qa_split_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_split_cc.py)
GR_ADD_TEST(qa_os_cfar_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_os_cfar_c.py)
GR_ADD_TEST(qa_ts_fft_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_ts_fft_cc.py)
GR_ADD_TEST(qa_estimator_cw ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_cw.py)
GR_ADD_TEST(qa_static_target_simulator_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_static_target_simulator_cc.py)
GR_ADD_TEST(qa_signal_generator_fsk_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_fsk_c.py)
GR_ADD_TEST(qa_split_fsk_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_split_fsk_cc.py)
GR_ADD_TEST(qa_estimator_fsk ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_fsk.py)
GR_ADD_TEST(qa_usrp_echotimer_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_usrp_echotimer_cc.py)
GR_ADD_TEST(qa_estimator_fmcw ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_fmcw.py)
GR_ADD_TEST(qa_signal_generator_sync_pulse_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_sync_pulse_c.py)
GR_ADD_TEST(qa_estimator_sync_pulse_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_sync_pulse_c.py)
GR_ADD_TEST(qa_find_max_peak_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_find_max_peak_c.py)
GR_ADD_TEST(qa_tracking_singletarget ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_tracking_singletarget.py)
GR_ADD_TEST(qa_msg_gate ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_msg_gate.py)
GR_ADD_TEST(qa_msg_manipulator ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_msg_manipulator.py)
GR_ADD_TEST(qa_ofdm_cyclic_prefix_remover_cvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_ofdm_cyclic_prefix_remover_cvc.py)
GR_ADD_TEST(qa_transpose_matrix_vcvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_transpose_matrix_vcvc.py)
GR_ADD_TEST(qa_crop_matrix_vcvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_crop_matrix_vcvc.py)
GR_ADD_TEST(qa_ofdm_divide_vcvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_ofdm_divide_vcvc.py)
GR_ADD_TEST(qa_os_cfar_2d_vc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_os_cfar_2d_vc.py)
GR_ADD_TEST(qa_estimator_ofdm ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_ofdm.py)
GR_ADD_TEST(qa_estimator_rcs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_rcs.py)
GR_ADD_TEST(qa_trigger_command ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_trigger_command.py)

=== python/radar/bindings/CMakeLists.txt ===
########################################################################
# Check for pygccxml
########################################################################
GR_PYTHON_CHECK_MODULE_RAW(
    "pygccxml"
    "import pygccxml"
    PYGCCXML_FOUND
    )

include(GrPybind)

########################################################################
# Python Bindings
########################################################################

list(APPEND radar_python_files
    crop_matrix_vcvc_python.cc
    estimator_cw_python.cc
    estimator_fmcw_python.cc
    estimator_fsk_python.cc
    estimator_ofdm_python.cc
    estimator_rcs_python.cc
    estimator_sync_pulse_c_python.cc
    find_max_peak_c_python.cc
    msg_gate_python.cc
    msg_manipulator_python.cc
    ofdm_cyclic_prefix_remover_cvc_python.cc
    ofdm_divide_vcvc_python.cc
    os_cfar_2d_vc_python.cc
    os_cfar_c_python.cc
    print_results_python.cc
    qtgui_scatter_plot_python.cc
    qtgui_spectrogram_plot_python.cc
    qtgui_time_plot_python.cc
    signal_generator_cw_c_python.cc
    signal_generator_fmcw_c_python.cc
    signal_generator_fsk_c_python.cc
    signal_generator_sync_pulse_c_python.cc
    split_cc_python.cc
    split_fsk_cc_python.cc
    static_target_simulator_cc_python.cc
    tracking_singletarget_python.cc
    transpose_matrix_vcvc_python.cc
    trigger_command_python.cc
    ts_fft_cc_python.cc
    usrp_echotimer_cc_python.cc
    python_bindings.cc)

GR_PYBIND_MAKE_OOT(radar 
   ../../.. 
   gr::radar
   "${radar_python_files}")

# copy in bindings .so file for use in QA test module
add_custom_target(
  copy_bindings_for_tests ALL
  COMMAND
    ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_BINARY_DIR}/*.so"
    ${CMAKE_BINARY_DIR}/test_modules/gnuradio/radar/
  DEPENDS radar_python)

install(TARGETS radar_python DESTINATION ${GR_PYTHON_DIR}/gnuradio/radar COMPONENT pythonapi)

=== debian/changelog ===
gr-radar (0.0.0.20220920-2build22) resolute; urgency=medium

  * Rebuild against latest uhd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 13:54:48 -0400

gr-radar (0.0.0.20220920-2build21) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:55:48 +0200

gr-radar (0.0.0.20220920-2build20) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:54:09 +0200

gr-radar (0.0.0.20220920-2build19) questing; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:55:34 -0400

gr-radar (0.0.0.20220920-2build18) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 14:46:01 +0000

gr-radar (0.0.0.20220920-2build17) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:30 +0100

gr-radar (0.0.0.20220920-2build16) oracular; urgency=medium

  * No-change rebuild for gnuradio-3.10.11.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Jul 2024 08:08:56 +0100

gr-radar (0.0.0.20220920-2build15) oracular; urgency=medium

  * No-change rebuild for libuhd-4.7.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 23 Jul 2024 20:03:30 +0100

gr-radar (0.0.0.20220920-2build14) oracular; urgency=high

  * No change rebuild against gnuradio.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 May 2024 10:25:36 +0200

gr-radar (0.0.0.20220920-2build13) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:20:29 +0000

gr-radar (0.0.0.20220920-2build12) noble; urgency=medium

  * No-change rebuild against gnuradio t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2024 06:09:53 +0100

gr-radar (0.0.0.20220920-2build11) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:31:44 +0000

gr-radar (0.0.0.20220920-2build10) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:40:37 +0000

gr-radar (0.0.0.20220920-2build9) noble; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jan 2024 11:44:45 +0100

gr-radar (0.0.0.20220920-2build8) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Dec 2023 23:15:37 +0100

gr-radar (0.0.0.20220920-2build7) noble; urgency=medium

  * Rebuild against latest uhd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Nov 2023 07:21:01 -0500

gr-radar (0.0.0.20220920-2build6) noble; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 07:35:15 -0400

gr-radar (0.0.0.20220920-2build5) noble; urgency=medium

  * Rebuild against new libuhd4.5.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 11:35:00 +0200

gr-radar (0.0.0.20220920-2build4) mantic; urgency=medium

  * Rebuild against new libvolk3.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 17:14:11 +0200

gr-radar (0.0.0.20220920-2build3) mantic; urgency=medium

  * No-change rebuild against libuhd4.4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jul 2023 14:41:31 +0000

gr-radar (0.0.0.20220920-2build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:38:35 +0000

gr-radar (0.0.0.20220920-2build1) lunar; urgency=medium

  * no-change rebuild against libuhd 4.3.0 and gnuradio 3.10.4

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 16 Nov 2022 15:22:43 -0300

gr-radar (0.0.0.20220920-2) unstable; urgency=medium

  * upload to unstable for transitions

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 21 Sep 2022 20:15:01 -0400

gr-radar (0.0.0.20220920-1) experimental; urgency=medium

  * use-pybind11, build with gnuradio 3.10
  * upload to experimental with new soversion, library name bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 17 Jan 2022 15:41:17 -0500

=== debian/control ===
Source: gr-radar
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
	       dh-python,
               doxygen-latex,
	       gir1.2-gtk-3.0,
               gnuradio-dev (>= 3.9),
	       gobject-introspection,
               libboost-system-dev,
	       liborc-0.4-dev,
	       libspdlog-dev,
               libqwt-qt5-dev,
               libuhd-dev,
               pkg-config,
	       python3-dev,
	       python3-gi,
	       python3-matplotlib,
	       python3-numpy,
	       python3-tk,
	       qtbase5-dev,
               qtchooser
Build-Depends-Indep: doxygen
Standards-Version: 4.6.1
Homepage: https://grradar.wordpress.com
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-radar.git
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-radar

Package: gr-radar
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio-dev,
         libgnuradio-radar3.10.0 (=${binary:Version}),
	 python3,
         ${misc:Depends},
         ${shlibs:Depends}, ${python3:Depends}
Breaks: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
        libgnuradio-radar3.7.10,
        libgnuradio-radar3.7.8
Replaces: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
          libgnuradio-radar3.7.10,
          libgnuradio-radar3.7.8
Description: GNU Radio Radar Toolbox
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 gr-radar provides GNU Radio Companion flowgraphs to handle RADAR data.

Package: gr-radar-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libjs-jquery, ${misc:Depends}, ${python3:Depends}
Description: GNU Radio Radar Toolbox - Documentation
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 gr-radar-doc provides Doxygen generated documentation.

Package: libgnuradio-radar3.10.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-radar
Section: libs
Description: GNU Radio Radar Toolbox - library
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --with numpy3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
        -DCMAKE_BUILD_TYPE="RelWithDebInfo" \
	-DPYTHON_EXECUTABLE:STRING="/usr/bin/python3"

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if [ $(DEB_BUILD_ARCH) != hurd-i386 ]; then HOME=$(CURDIR)/debian/test dh_auto_test -- CTEST_TEST_TIMEOUT=60 ; fi
	rm -rf debian/test

=== debian/watch ===
version=4
# Upstream git has no tags or releases.
# https://github.com/kit-cel/gr-radar
